name: cointop
version: master
version-script: git -C parts/cointop/build rev-parse --short HEAD
summary: Interactive terminal based UI application for tracking cryptocurrencies
description: |
  cointop is a fast and lightweight interactive terminal based UI application for tracking and monitoring cryptocurrency coin stats in real-time.
grade: stable
confinement: strict

parts:
  go:
    source-tag: go1.14
  cointop:
    after: [go]
    source: .
    plugin: go
    go-importpath: github.com/miguelmota/cointop

apps:
  cointop:
    command: cointop
    plugs:
      - network
      - network-bind
      - home
